
from pandas.tseries.offsets import DateOffset
import pandas
import smartcarb.io


start = '2015-01-01 00:00'
end = '2015-12-25 00:00'

origin = 'Janschwalde'

for month in range(1,13):
    start = pandas.Timestamp('2015-%02d-01' % month)
    end = start + DateOffset(months=1)
    print(start, end)

    d = smartcarb.io.extract_wind_profile(origin, start, end)

    d.to_netcdf("/output/SMARTCARB/output/timeseries/ts_wind_%s_at_%s.nc" %
                (start.strftime('%Y-%m'), origin))

    d.close()


